// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UAnimBlueprint.h"
#include "Animation/AnimBlueprint.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UAnimBlueprint::SCW_UAnimBlueprint(UAnimBlueprint* InAnimBlueprint) : SCW_UBlueprint(InAnimBlueprint), AnimBlueprint(InAnimBlueprint)
{

}

UAnimBlueprint* SCW_UAnimBlueprint::ToUAnimBlueprint() const
{
	return AnimBlueprint;
}

ISCW_UAnimBlueprintPtr SCW_UAnimBlueprint::ToUAnimBlueprintPtr()
{
	return GetSharedThisAs<SCW_UAnimBlueprint>();
}

ISCW_UAnimBlueprintConstPtr SCW_UAnimBlueprint::ToUAnimBlueprintPtr() const
{
	return GetSharedThisAs<SCW_UAnimBlueprint>();
}